#!/bin/bash

set -e

# Draft

title "Perform database dump from inside the docker container for postgresql"

declare -A DATABASES
DATABASES['{{ db_name }}']='{{ db_user }}'
DATABASES['{{ keycloak_db }}']='{{ keycloak_db_user }}'

for DB in "${!DATABASES[@]}"; do
  title "dumping $DB"
  docker exec "{{ postgres_container_name }}" pg_dump -U "${DATABASES[$DB]}" --encoding=UTF8 "$DB" > "{{ backups_role_tmp_path }}/pg_dump_${DB}.sql"
  echo "…done"
done;

